AugmentationsImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class AugmentationsImpl

    java.lang.Object
      org.apache.xerces.util.AugmentationsImpl

All Implemented Interfaces:
  org.apache.xerces.xni.Augmentations

    public class AugmentationsImpl

extends java.lang.Object
implements org.apache.xerces.xni.Augmentations

This class provides an implementation for Augmentations interface. Augmentations interface defines a hashtable of additional data that could be passed along the document pipeline. The information can contain extra arguments or infoset augmentations, for example PSVI. This additional information is identified by a String key.

Version:
  $Id: AugmentationsImpl.java 606488 2007-12-22 20:40:16Z mrglavas $
Author:
  Elena Litani, IBM

Constructor Summary
`AugmentationsImpl()`

Method Summary
`java.lang.Object` | `getItem(java.lang.String key)` Get information identified by a key from the Augmentations structure
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in the Augmentations structure
`java.lang.Object` | `putItem(java.lang.String key, java.lang.Object item)` Add additional information identified by a key to the Augmentations structure.
`void` | `removeAllItems()` Remove all objects from the Augmentations structure.
`java.lang.Object` | `removeItem(java.lang.String key)` Remove additional info from the Augmentations structure
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AugmentationsImpl

    public AugmentationsImpl()

Method Detail

### putItem

    public java.lang.Object putItem(java.lang.String key,
                                    java.lang.Object item)

  Add additional information identified by a key to the Augmentations structure.

  Specified by:
    `putItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
    `item` - Additional information
  Returns:
    the previous value of the specified key in the Augmentations strucutre, or `null` if it did not have one.

### getItem

    public java.lang.Object getItem(java.lang.String key)

  Get information identified by a key from the Augmentations structure

  Specified by:
    `getItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the value to which the key is mapped in the Augmentations structure; `null` if the key is not mapped to any value.

### removeItem

    public java.lang.Object removeItem(java.lang.String key)

  Remove additional info from the Augmentations structure

  Specified by:
    `removeItem` in interface `org.apache.xerces.xni.Augmentations`
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in the Augmentations structure

  Specified by:
    `keys` in interface `org.apache.xerces.xni.Augmentations`

### removeAllItems

    public void removeAllItems()

  Remove all objects from the Augmentations structure.

  Specified by:
    `removeAllItems` in interface `org.apache.xerces.xni.Augmentations`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.